I2P Address: [http://git.idk.i2p]

Skip to content
Snippets Groups Projects
Commit b6fab829 authored by kytv's avatar kytv
Browse files

Debian packaging fixes

parent 150cb303
No related branches found
No related tags found
No related merge requests found
......@@ -45,7 +45,18 @@
<echo message=" pkg-portable-win32: build a minimum portable version for win32" />
</target>
<target name="debianhowto">
<echo message="To build debian packages, you must run dpkg-buildpackage as root in the source directory. It will then run ant for you. dpkg-buildpackage is found in the 'dpkg-dev' package. Also it should work fine to use the 'fakeroot' package with dpkg-buildpackage, if you don't want to run as root. Please read 'man dpkg-buildpackage' before building any packages yourself." />
<echo message="To build debian packages, you must make sure that you have" />
<echo message="the necessary build-dependencies installed." />
<echo message="The packages required to build can be found in the file "/>
<echo message="&quot;debian/control&quot; in both the Build-Depends and Build-Depends-Indep fields."/>
<echo message="In addition to those packages, be sure to install &quot;fakeroot&quot;,"/>
<echo message="&quot;quilt&quot; and &quot;build-essential&quot;!" />
<echo message="" />
<echo message="The following command will install all dependencies for you:" />
<echo message="apt-get install junit debhelper ant debconf default-jdk libgmp3-dev po-debconf fakeroot build-essential quilt" />
<echo message=" " />
<echo message="Once the dependencies are installed, run &quot;ant debian&quot;"/>
<echo message="to patch the source and build the packages." />
</target>
<target name="dist" depends="pkg, javadoc">
</target>
......@@ -1030,38 +1041,51 @@
<echo message="... and mtn cert t:i2p-${release.number} branch i2p.i2p.release" />
</target>
<target name="debian" depends="distclean, debian-source, debian-binary" />
<target name="debian" depends="debian-clean, debian-binary" />
<target name="debian-binary" depends="buildProperties" >
<echo message="Did you update the version in these files?" />
<exec executable="ls" failonerror="true">
<arg value="-l" />
<arg value="debian/changelog" />
</exec>
<target name="debian-binary" >
<echo message="Did you update the version using dch -i?" />
<echo message=" " />
<echo message="If the changelog was not updated with dch -i, press" />
<echo message="press CTRL+C to abort building this Debian package." />
<echo message="" />
<echo message="Pausing build for ten seconds to give enough time to read this notice." />
<exec executable="sleep" failonerror="true">
<arg value="10" />
</exec>
<echo message="====================" />
<!-- bundle the 20MB jetty 5 lib since there probably isn't a deb for it -->
<!-- bundle the jetty 5 lib since there isn't a deb for it -->
<ant dir="apps/jetty" target="ensureJettylib" />
<exec dir="debian" executable="./buildpackage.sh" failonerror="true">
<arg value="i386" />
<exec executable="fakeroot" failonerror="true">
<arg value="debian/rules" />
<arg value="patch" />
<arg value="binary" />
<arg value="clean" />
</exec>
<exec dir="debian" executable="./buildpackage.sh" failonerror="true">
<arg value="amd64" />
<delete dir=".pc" />
</target>
<target name="debian-clean" depends="buildProperties" >
<exec executable="fakeroot" failonerror="true">
<arg value="debian/rules" />
<arg value="clean" />
</exec>
<delete dir="./.pc" />
</target>
<target name="debian-source" depends="buildProperties" >
<!-- bundle the 20MB jetty 5 lib since there probably isn't a deb for it -->
<ant dir="apps/jetty" target="ensureJettylib" />
<echo message="Did you update the version in these files?" />
<exec executable="ls" failonerror="true">
<arg value="-l" />
<arg value="debian/changelog" />
<target name="debian-patch" depends="buildProperties" >
<exec executable="quilt" failonerror="true">
<arg value="-a" />
<arg value="push" />
</exec>
<echo message="====================" />
<exec dir="debian" executable="./buildpackage.sh" failonerror="true">
<arg value="source" />
</target>
<target name="debian-unpatch" depends="buildProperties">
<exec executable="quilt" failonerror="false">
<arg value="-a" />
<arg value="pop" />
</exec>
</target>
<target name="debianrepo" depends="debian">
<exec dir="debian" executable="./makerepo.sh" failonerror="true"/>
</target>
......
i2p (0.8.6-5) UNRELEASED; urgency=low
The file /etc/i2p/wrapper.service is no longer shipped in this package.
Instead the file /etc/i2p/wrapper.config is used with the changes that used to
be in wrapper.service have been moved to the initscript. If you have changed
the amount of memory set aside for I2P, you'll need to make that change to
/etc/i2p/wrapper.config.
-- Kill Your TV <killyourtv@i2pmail.org> Wed, 25 May 2011 22:17:05 +0000
There are a few changes in this package from upstream.
- eepget and i2prouter are installed to /usr/bin.
- If you run I2P using the i2prouter or runplain scripts,
the wrapper.log is in /tmp and the other logs are in
~/.i2p/logs.
- If you run i2p with the initscript in /etc/init.d/i2p,
all logs are written to /var/logs/i2p.
- wrapper.config (in /etc/i2p) contains the settings for
/usr/bin/i2prouter. wrapper.service in /etc/i2p is read when
using the initscript.
- SAM and BOB default to enabled out of the box.
- jbigi is compiled as a dynamic .so. Unfortunately I can't
get jcpuid to compile, so I just 'steal' the .so from the
jbigi.jar file.
- runplain.sh is stored in /usr/share/doc/i2p/examples.
This package uses quilt to manage all modifications to the upstream
source. Changes are stored in the source package as diffs in
debian/patches and applied during the build.
To configure quilt to use debian/patches instead of patches, you want
either to export QUILT_PATCHES=debian/patches in your environment
or use this snippet in your ~/.quiltrc:
for where in ./ ../ ../../ ../../../ ../../../../ ../../../../../; do
if [ -e ${where}debian/rules -a -d ${where}debian/patches ]; then
export QUILT_PATCHES=debian/patches
break
fi
done
To get the fully patched source after unpacking the source package, cd to
the root level of the source package and run:
quilt push -a
The last patch listed in debian/patches/series will become the current
patch.
To add a new set of changes, first run quilt push -a, and then run:
quilt new <patch>
where <patch> is a descriptive name for the patch, used as the filename in
debian/patches. Then, for every file that will be modified by this patch,
run:
quilt add <file>
before editing those files. You must tell quilt with quilt add what files
will be part of the patch before making changes or quilt will not work
properly. After editing the files, run:
quilt refresh
to save the results as a patch.
Alternately, if you already have an external patch and you just want to
add it to the build system, run quilt push -a and then:
quilt import -P <patch> /path/to/patch
quilt push -a
(add -p 0 to quilt import if needed). <patch> as above is the filename to
use in debian/patches. The last quilt push -a will apply the patch to
make sure it works properly.
To remove an existing patch from the list of patches that will be applied,
run:
quilt delete <patch>
You may need to run quilt pop -a to unapply patches first before running
this command.
This sets up a binary package with the following:
- A new user i2psvc (a lot of people already have an i2p user)
- i2psvc home is /var/lib/i2p
- $I2P is /usr/share/i2p, owned by i2psvc
- i2psvc router directory is /var/lib/i2p/i2p-config (hack in WorkingDir.java)
- i2p daemon script in /etc/init.d/i2p
- i2prouter and eepget scripts in /usr/bin for other users to run it
- Users other than i2psvc cannot update via i2p, as they don't have
write permissions in $I2P
- Configured temp directory is /tmp
- linux and linux64 (i386) wrapper libs only
Todo:
- Remove lib/jbigi.jar, just build and include dynamic libjbigi
and the linux libjcpuid (and add dependency on libgmp)
- Initial router.config for i2psvc (without confusing i2p that
the router directory already exists):
* Disable browser launch at startup
* Move i2psnark dir, eepsite dir, log dir, etc. up one level
#!/bin/sh
# This script takes one argument, which is the architecture to build for,
# or "source".
echo Target architecture: $1
VERSION=`grep String\ VERSION ../core/java/src/net/i2p/CoreVersion.java | cut -d\" -f2`
echo "I2P Version: ${VERSION}"
builddir="packages/$1/i2p-${VERSION}"
# dpkg-buildpackage doesn't have an option to change the output directory,
# so copy or symlink i2p.i2p in ${builddir} and call dpkg-buildpackage
# in that directory. The output files are generated one directory above.
if [ "$1" = "source" ]; then
cd ..
ant clean
# dpkg-source (called by dpkg-buildpackage) can't handle symlinks, so copy the i2p.i2p tree
tempdir=../_i2p_copy_temp___
cp -a . ${tempdir}
mkdir -p debian/packages/$1
mv ${tempdir} debian/${builddir}
cd debian/${builddir}
dpkg-buildpackage -I_MTN -Idebian/packages -S
else
mkdir -p ${builddir}
cd ${builddir}
# make symlinks for all files and dirs in i2p.i2p
find ../../../.. -not -name . -and -not -name .. -maxdepth 1 -exec ln -fs {} \;
dpkg-buildpackage -I_MTN -b -a$1
fi
if [ "$?" -ne 0 ]; then
exit 1
fi
cd ../../..
rm -rf ${builddir}
i2p (0.8.1-4) all; urgency=low
* I2P 0.8.1-6
* Closes: #448638
-- Hungry Hobo <HungryHobo@i2pmail.org> Mon, 24 Nov 2010 17:14:57 +0000
i2p (0.8.1-3) all; urgency=low
* I2P 0.8.1-3
-- Hungry Hobo <HungryHobo@i2pmail.org> Mon, 21 Nov 2010 17:14:57 +0000
i2p (0.8.1) all; urgency=low
* Speedups
* Bugfixes
* I2PSnark UI redesign
* Debian packaging improvements
-- Hungry Hobo <HungryHobo@i2pmail.org> Mon, 18 Nov 2010 17:14:57 +0000
i2p (0.8.0-1) all; urgency=low
* I2P 0.8
* Debian packaging improvements
-- Hungry Hobo <HungryHobo@i2pmail.org> Mon, 08 Nov 2010 17:14:57 +0000
i2p (0.7.10-0) testing; urgency=low
* tweaks
um...
-- zzz <nobody@nowhere.invalid> Wed, 31 Jan 2010 17:14:57 +0000
i2p (0.7-0) testing; urgency=low
* just setting this debian thing up
um...
-- dream <nobody@nowhere.invalid> Wed, 01 Jan 2009 17:14:57 +0000
i2p (0.8.6-5) UNRELEASED; urgency=low
* Remove /etc/i2p/wrapper.service and add the changed configs to the
initscript.
* Create debian/copyright at build time.
-- Kill Your TV <killyourtv@i2pmail.org> Wed, 25 May 2011 21:11:40 +0000
i2p (0.8.6-4) stable; urgency=low
* backported patch from 9a26dcaef3687ff7fa08cf3b3eb2180ebb2dedde to fix
missing "addWebApplications" in Jetty.
-- Kill Your TV <killyourtv@i2pmail.org> Sun, 22 May 2011 19:00:37 +0000
i2p (0.8.6-3) stable; urgency=low
[Kill Your TV]
* Creating libjbigi-jni packages again. Backported patch from MTN so that
jbigi can be built for i386
* Drop build-dep on unzip since jbigi can be built.
* Check to see if doc/libjbigi-jni is a directory and remove it. It is
supposed to be a symlink to doc/i2p
* Don't chown $I2P to i2psvc
* Add Build-Dep for tor-geoipdb and remove from debian/
* Add launch-i2psnark to doc/examples
* Remove obsolete build-dep on default-jdk-builddep
[Karl Goetz]
* Move adduser to depends from pre-depends
* Tidy postinst
-- Kill Your TV <killyourtv@i2pmail.org> Fri, 20 May 2011 22:03:52 +0000
i2p (0.8.6-2) stable; urgency=low
* Fix permissions bug for /var/run/i2p, reported by "signhere" on IRC
-- Kill Your TV <killyourtv@i2pmail.org> Tue, 17 May 2011 16:30:29 +0000
i2p (0.8.6-1) stable; urgency=low
* New upstream version
-- Kill Your TV <killyourtv@i2pmail.org> Tue, 17 May 2011 12:30:07 +0000
i2p (0.8.5-4) stable; urgency=low
* Correct lintian error
-- Kill Your TV <killyourtv@i2pmail.org> Sun, 15 May 2011 16:20:39 +0000
i2p (0.8.5-3) stable; urgency=low
* *Sigh* Set debian/i2p.default run_daemon to false
-- Kill Your TV <killyourtv@i2pmail.org> Fri, 29 Apr 2011 09:54:39 +0000
i2p (0.8.5-2) stable; urgency=low
* Change debconf priority to medium.
* RUN_DAEMON defaults to false. Earlier versions defaulted to true. Since
the priority is changing, this should as well.
* Split jbigi into its own source package
* Update geoip.txt
* Update Suggests:
-- Kill Your TV <killyourtv@i2pmail.org> Mon, 25 Apr 2011 17:00:43 +0000
i2p (0.8.5-1) stable; urgency=low
* New upstream
-- Kill Your TV <killyourtv@i2pmail.org> Mon, 18 Apr 2011 15:41:42 +0000
i2p (0.8.4-4) stable; urgency=low
* Update geoip from tor-0.2.2.23-alpha
-- Kill Your TV <killyourtv@i2pmail.org> Sat, 09 Apr 2011 23:34:11 +0000
i2p (0.8.4-3) stable; urgency=low
* Back out upgrade 'do you want to reboot' logic since it's utterly borked.
-- Kill Your TV <killyourtv@i2pmail.org> Thu, 17 Mar 2011 18:54:09 +0000
i2p (0.8.4-2) stable; urgency=low
* Stop including /usr/share/i2p/lib/jbigi.jar.
* Compile a dynamic jbigi and create a new package, libjbigi-jni. Since I
can't get jcpuid to compile I take this library from jbigi.jar.
Unfortunately it was not compiled with -fPIC, causing lintian to complain.
Additionally it is a 32bit compile, forcing libc-i386 to be installed on
amd64 boxes.
* Add dependency on libc-i386 because of jcpuid and a build-dep on unzip for
the same reason.
* Don't display errors generated from chowning files that don't exist.
* Bug fix: Somehow I missed packaging the geoip information before. Oops.
* Bug fix: Add history.txt to /usr/share/i2p. I didn't realize it was shown
in the console at /help.
* Since I'm packaging the missing geoip information, I use an updated
geoiodb from tor (taken from Debian package tor-geoipdb version
0.2.2.22-alpha-1)
* Patching countries.txt to add entries that are in Maxmind's database.
* Now using debconf to ask about running as a daemon.
* From this point forward, users will be asked to confirm that they want to
upgrade this package, due to it requiring a router reboot.
* Updated README.Debian to better explain differences compared with
upstream.
* Add history.txt to /usr/share/i2p
-- Kill Your TV <killyourtv@i2pmail.org> Sun, 13 Mar 2011 10:45:47 +0000
i2p (0.8.4-1) stable; urgency=low
* New upstream version, monotone revision
fea6969d789a6b85396439be9906abb9b4a4a405
-- Kill Your TV <killyourtv@mail.i2p> Thu, 03 Mar 2011 11:37:37 +0000
i2p (0.8.3-2) testing; urgency=low
* Minor changes to initscript
-- Kill Your TV <killyourtv@mail.i2p> Wed, 26 Jan 2011 14:29:50 +0000
i2p (0.8.3-1) testing; urgency=low
* New upstream
-- Kill Your TV <killyourtv@mail.i2p> Mon, 24 Jan 2011 20:23:38 +0000
i2p (0.8.2-1) testing; urgency=low
* Initial packaging
-- Kill Your TV <killyourtv@mail.i2p> Sun, 23 Jan 2011 00:03:31 +0000
7
/etc/init.d/i2p
/etc/i2p/blocklist.txt
/etc/i2p/clients.config
/etc/i2p/hosts.txt
/etc/i2p/i2psnark.config
/etc/i2p/i2ptunnel.config
/etc/i2p/jetty-i2psnark.xml
/etc/i2p/systray.config
/etc/i2p/wrapper.config
Source: i2p
Maintainer: Hungry Hobo <HungryHobo@i2pmail.org>
Maintainer: Kill Your TV <killyourtv@i2pmail.org>
Uploaders: zzz <zzz@i2pmail.org>
Section: net
Standards-Version: 3.8.4
Standards-Version: 3.9.2
Priority: optional
Bugs: mailto:killyourtv@i2pmail.org
Homepage: http://www.i2p2.de/
Build-Depends: libc6-dev (>= 2.10), sun-java6-jdk | openjdk-6-jdk | default-jdk | java-sdk, ant, fakeroot, gettext
Build-Depends: debhelper (>= 7.0.50~),
ant,
debconf,
default-jdk,
libgmp3-dev,
po-debconf
Build-Depends-Indep: junit, tor-geoipdb
Package: i2p
Architecture: i386 amd64
Architecture: all
Section: net
Priority: optional
Depends: ${shlibs:Depends}, sun-java6-jre | default-jre | java-runtime
Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends}, default-jre | java5-runtime | java6-runtime,
adduser,
libjbigi-jni (>= ${source:Version}),
libjbigi-jni (<< ${source:Version}.1~),
lsb-base (>= 3.2-14),
service-wrapper
Suggests: tor,
i2pfox,
mail-client,
mail-reader,
news-reader,
polipo,
privoxy,
syndie,
www-browser,
xul-ext-torbutton
Description: Load-balanced unspoofable packet switching network
I2P is an anonymizing network, offering a simple layer that identity-sensitive
applications can use to securely communicate. All data is wrapped with several
layers of encryption, and the network is both distributed and dynamic, with no
trusted parties.
Homepage: http://www.i2p2.de/
Package: libjbigi-jni
Architecture: any
Section: java
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Homepage: http://www.i2p2.de/jbigi
Description: Java Big Integer library
This Package contains the libjbigi JNI library
.
libjbigi is a math library that is part of the I2P installation. Use of this
library greatly enhances the efficiency of cryptographic algorithms, such as
the ones used by I2P. You can expect to see a 5-7x speed improvement on certain
tasks, such as elGamal encryption/decryption.
Package: i2p-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: i2p, default-jdk-doc
Description: Documentation for I2P
I2P is an anonymizing network, offering a simple layer that identity-sensitive
applications can use to securely communicate. All data is wrapped with several
layers of encryption, and the network is both distributed and dynamic, with no
trusted parties.
.
This package contains the Javadoc files.
This package was Debianized by kytv <killyourtv@i2pmail.org>
Sun, 23 Jan 2011 20:26:51 +0000
It was downloaded from http://www.i2p2.de
I2P is tracked upstream using the Monotone VCS
Complete information on fetching the source with monotone can be found
at http://www.i2p2.de/newdevelopers#getting-the-i2p-code
This product includes both public domain code and licensed code as described below.
For all code, unless otherwise stated in the appropriate license, the following applies:
NO WARRANTY
BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.
IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
LICENSES
--------
Core:
Public domain except as listed below:
ElGamal and DSA code:
Copyright (c) 2003, TheCrypto
See licenses/LICENSE-ElGamalDSA.txt
SHA256 and HMAC-SHA256:
Copyright (c) 2000 - 2004 The Legion Of The Bouncy Castle
See licenses/LICENSE-SHA256.txt
AES code:
Under the Cryptix (MIT) license, written by the Cryptix team
(That's what our website says but all our AES code looks like it is public domain)
Crypto filters:
From the xlattice app - http://xlattice.sourceforge.net/
See licenses/LICENSE-BSD.txt
SNTP code:
Copyright (c) 2004, Adam Buckley
See licenses/LICENSE-SNTP.txt
PRNG:
Copyright (C) 2001, 2002, Free Software Foundation, Inc.
See licenses/LICENSE-LGPLv2.1.txt
GMP 4.1.3 / 4.1.4:
Copyright 1991, 1996, 1999, 2000 Free Software Foundation, Inc.
See licenses/LICENSE-LGPLv2.1.txt
HashCash code:
Copyright 2006 Gregory Rubin grrubin@gmail.com
See licenses/LICENSE-HashCash.txt
GettextResource from gettext v0.18:
Copyright (C) 2001, 2007 Free Software Foundation, Inc.
See licenses/LICENSE-LGPLv2.1.txt
SSLEepGet:
Contains some code Copyright 2006 Sun Microsystems, Inc.
See licenses/LICENSE-InstallCert.txt
BlockFile:
Copyright (c) 2006, Matthew Estes
See licenses/LICENSE-BlockFile.txt
Router:
Public domain except as listed below:
UPnP.java:
From freenet
See licenses/LICENSE-GPLv2.txt
UPnP subsystem 1.7:
Copyright (C) 2003-2006 Satoshi Konno
See licenses/LICENSE-UPnP.txt
GeoIP data free to use, courtesy http://ip-to-country.webhosting.info/
Installer:
Launch4j 3.0.1:
Copyright (c) 2004, 2008 Grzegorz Kowal
See licenses/LICENSE-Launch4j.txt (in binary packages)
See installer/lib/launch4j/LICENSE.txt (in source packages)
The following projects are used by Launch4j...
MinGW binutils (http://www.mingw.org/)
Commons BeanUtils (http://jakarta.apache.org/commons/beanutils/)
Commons Logging (http://jakarta.apache.org/commons/logging/)
See licenses/LICENSE-Apache1.1.txt
See licenses/NOTICE-Commons-Logging.txt
XStream (http://xstream.codehaus.org/)
Copyright (c) 2003-2004, Joe Walnes
See licenses/LICENSE-XStream.txt
JGoodies Forms (http://www.jgoodies.com/freeware/forms/)
Copyright (c) 2002-2004 JGoodies Karsten Lentzsch. All rights reserved.
See licenses/LICENSE-JGoodies-Forms.txt
JGoodies Looks (http://www.jgoodies.com/freeware/looks/)
Copyright (c) 2003 JGoodies Karsten Lentzsch. All rights reserved.
See licenses/LICENSE-JGoodies-Looks.txt
Foxtrot (http://foxtrot.sourceforge.net/)
Copyright (c) 2002, Simone Bordet & Marco Cravero. All rights reserved.
See licenses/LICENSE-Foxtrot.txt
Nuvola Icon Theme (http://www.icon-king.com)
See licenses/LICENSE-LGPLv2.1.txt
Forms were created using Abeille Forms Designer (https://abeille.dev.java.net/)
Izpack 4.3.0:
Copyright (c) 2001-2008 Julien Ponge
See licenses/LICENSE-Apache2.0.txt
Wrapper 3.1.1:
Copyright (c) 1999, 2004 Tanuki Software
See licenses/LICENSE-Wrapper.txt
Applications:
Addressbook:
Copyright (c) 2004 Ragnarok
See licenses/LICENSE-Addressbook.txt
BOB:
Copyright (C) sponge
DWTFYWTPL
I2PSnark:
Copyright (C) 2003 Mark J. Wielaard
See licenses/LICENSE-GPLv2.txt
Silk icons: See licenses/LICENSE-SilkIcons.txt
I2PTunnel:
(c) 2003 - 2004 mihi
GPLv2 with exception.
See licenses/LICENSE-I2PTunnel.txt
See licenses/LICENSE-GPLv2.txt
I2PTunnel SOCKS Proxy:
Copyright (c) 2004 by human
GPLv2 with exception.
See licenses/LICENSE-I2PTunnel.txt
See licenses/LICENSE-GPLv2.txt
I2PTunnel UDP and Streamr:
By welterde.
See licenses/LICENSE-GPLv2.txt
Jetty 5.1.15:
Copyright 2000-2004 Mort Bay Consulting Pty. Ltd.
See licenses/LICENSE-Apache1.1.txt
See licenses/LICENSE-Apache2.0.txt
See licenses/NOTICE-Commons-Logging.txt
JRobin 1.5.9.1:
See licenses/LICENSE-LGPLv2.1.txt
Ministreaming Lib:
By mihi.
See licenses/LICENSE-BSD.txt
Proxyscript:
By Cervantes.
Public domain.
Router console:
Public domain.
Flag icons: public domain, courtesy mjames@gmail.com http://www.famfamfam.com/
Silk icons: See licenses/LICENSE-SilkIcons.txt
GeoIP Data:
Copyright (c) 2003 Direct Information Pvt. Ltd. All Rights Reserved.
See licenses/LICENSE-GeoIP.txt
Router Console and I2PSnark themes:
"Man with hat over face" & related images licensed under a Creative Commons 2.0 license.
Original photos by Florian Kuhlmann. http://www.flickr.com/photos/floriankuhlmann/3117758155
SAM:
Public domain.
Streaming Lib:
Public domain.
SusiDNS:
Copyright (C) 2005 <susi23@mail.i2p>
See licenses/LICENSE-GPLv2.txt
Uses Apache Jakarta Standard Tag Library 1.1.2:
See licenses/LICENSE-Apache2.0.txt
SusiMail:
Copyright (C) 2004-2005 <susi23@mail.i2p>
See licenses/LICENSE-GPLv2.txt
Systray:
Public domain.
Bundles systray4j code:
See licenses/LICENSE-GPLv2.txt
Other Applications and Libraries
--------------------------------
The following applications and libraries are not used or bundled in
binary packages, therefore the licenses are not included in binary
distributions. See the source package for the additional license information.
Admin Manager:
Public domain
Atalk:
Public domain
BOB Demos:
Copyright (C) sponge
DWTFYWTPL
Desktopgui
Copyright (c) Mathias De Maré
See apps/desktopgui/LICENSE
SAM C Library:
Copyright (c) 2004, Matthew P. Cashdollar <mpc@innographx.com>
See apps/sam/c/doc/license.txt
SAM C# Library:
Public domain.
See apps/sam/csharp/README
SAM Perl Library:
See licenses/LICENSE-GPLv2.txt
SAM Python Library:
Public domain.
This is the Debian package of I2P. The latest version of I2P can always be found at:
http://www.i2p2.de/
I2P was originally developed by jrandom and others. The main developer now is zzz.
See http://www.i2p2.de/team for a list of past and present developers.
I2P is maintained in Monotone. The current development version may be checked out
by issuing the following two commands:
mtn --db i2p.mtn dn init
mtn --db i2p.mtn co mtn.i2p2.de i2p.i2p
Document: i2p-doc
Title: API JavaDoc for i2p-doc
Author:
Abstract: This the API JavaDoc for i2p-doc
Section: Programming/Java
Format: HTML
Index: /usr/share/doc/i2p/api
Files: /usr/share/doc/i2p/api/*.html
build/api usr/share/doc/i2p-doc
#!/bin/sh -e
# I2P package configuration script
conffile="/etc/default/i2p"
get_config_file()
{
config_field=$1
db_field=$2
if [ -f "$conffile" ] ; then
VALUE="$(grep "^[ ]*$config_field" $conffile | sed -e "s/^$config_field *= *\"\(.*\)\"/\1/g")"
if [ -n "$VALUE" ] ; then
db_set $db_field "$VALUE"
fi
fi
}
. /usr/share/debconf/confmodule
db_version 2.0
if [ "$1" = configure -o "$1" = reconfigure ] ; then
get_config_file STARTI2P i2p/daemon
get_config_file RUN_DAEMON i2p/daemon
db_input medium i2p/daemon || true
get_config_file I2PUSER i2p/user
db_input medium i2p/user || true
#db_input high i2p/stop_running_router || true
db_go
if dpkg --compare-versions "$2" lt 0.8.4-2 ; then
rm -f $conffile
fi
fi
exit 0
# Defaults for i2p initscript (/etc/init.d/i2p)
# This is a posix shell fragment
# [automatically edited by postinst, do not change line format ]
# Run 'dpkg-reconfigure -plow i2p' to change these values.
# I2P daemon. If set to true, i2p will start automatically when
# the computer boots
RUN_DAEMON="false"
# The user that runs the I2P daemon. By default this is set to i2psvc.
# You may want to change this to use a manually installed I2P profile.
I2PUSER="i2psvc"
pkg-temp/licenses
pkg-temp/runplain.sh
apps/i2psnark/launch-i2psnark
#!/bin/sh
### BEGIN INIT INFO
# Provides: i2p i2p-router
# Required-Start: $remote_fs $syslog $named $network $time
# Required-Stop: $remote_fs $syslog $named $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: start and stop the i2p router
# Description: i2p is a load-balanced unspoofable packet switching network
### END INIT INFO
# Check permissions
if [ "`id -ur`" != '0' ]; then
echo 'Error: you must be root.'
echo
exit 1
fi
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="I2P Router"
NAME="i2p"
RUN="/var/run/$NAME"
DAEMON="/usr/sbin/wrapper"
PIDFILE="$RUN/$NAME.pid"
JVMPIDFILE="$RUN/routerjvm.pid"
I2P="/usr/share/i2p"
I2PTEMP="/tmp/"
WRAPPERLOG="/var/log/i2p/wrapper.log"
ANCHORFILE="$I2PTEMP/i2p.anchor"
# Don't touch these, edit /etc/default/i2p
RUN_DAEMON="False"
NICE=
I2PUSER="i2psvc"
I2P_ARGS="/etc/i2p/wrapper.config \
wrapper.java.additional.1=-DloggerFilenameOverride=/var/log/i2p/log-router-@.txt \
wrapper.java.additional.5=-Dwrapper.logfile=$WRAPPERLOG \
wrapper.logfile=$WRAPPERLOG \
wrapper.pidfile=$PIDFILE \
wrapper.anchorfile=$ANCHORFILE \
wrapper.java.pidfile=$JVMPIDFILE \
wrapper.daemonize=TRUE"
# this isn't really needed since we depend on lsb-base (>= 3.2-14)
[ -r /lib/lsb/init-functions ] && . /lib/lsb/init-functions
[ -r /lib/init/vars.sh ] && . /lib/init/vars.sh
# read config file
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
case "$RUN_DAEMON" in
[NnFf]*)
log_action_msg "$DESC daemon disabled in /etc/default/$NAME".
exit 0
;;
esac
# is the wrapper from the service-wrapper package even installed?
# if not, bail NOW
[ -x $DAEMON ] || exit 0
# Ditto for i2prouter. Even though this script doesn't call it,
# if it's not found the package probably hasn't been installed.
[ -r /usr/bin/i2prouter ] || exit 0
do_start()
{
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null\
|| return 1
[ -d $RUN ] || mkdir $RUN
[ -r $PIDFILE ] || touch $PIDFILE
[ -r $JVMPIDFILE ] || touch $JVMPIDFILE
[ -d $I2PTEMP ] || mkdir $I2PTEMP
chown -Rf $I2PUSER:$I2PUSER $I2PTEMP/*i2p* $I2PTEMP/router.ping $RUN > /dev/null
chown -f -R $I2PUSER:adm /var/log/$NAME
TZ=UTC start-stop-daemon --start --quiet -c $I2PUSER --pidfile $PIDFILE --exec $DAEMON $NICE -- \
$I2P_ARGS || return 2
}
do_stop()
{
start-stop-daemon --stop --quiet --retry=TERM/15/KILL/5 --pidfile $PIDFILE -u $I2PUSER
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# start-stop-daemon --stop --quiet --oknodo --retry=TERM/15/KILL/5 -u $I2PUSER
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
rm -f "$PIDFILE" "$JVMPIDFILE"
[ -d $RUN ] && rmdir $RUN
}
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
pkg-temp/eepsite usr/share/i2p
pkg-temp/docs usr/share/i2p/
pkg-temp/scripts usr/share/i2p
pkg-temp/webapps usr/share/i2p
pkg-temp/lib/*.jar usr/share/i2p/lib
pkg-temp/clients.config usr/share/i2p
pkg-temp/i2psnark.config usr/share/i2p
pkg-temp/i2ptunnel.config usr/share/i2p
pkg-temp/systray.config usr/share/i2p
pkg-temp/wrapper.config etc/i2p
pkg-temp/*.xml usr/share/i2p
pkg-temp/hosts.txt usr/share/i2p
pkg-temp/blocklist.txt usr/share/i2p
pkg-temp/geoip usr/share/i2p
pkg-temp/eepget usr/bin
pkg-temp/i2prouter usr/bin
history.txt usr/share/i2p
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment